#include <iostream>

using namespace std;

int main()
{
    int n, k, i;
    cin>>n>>k;
    int sor[n];
    for(i=0;i<n;i++)
        cin>>sor[i];
    int kartya;
    for(i=0;i<n;i++)
    {
        if (sor[i]==k && i==n-1)
            kartya=0;
        else if(sor[i]==k)
            kartya=i+1;
    }
    cout<<sor[kartya];
    return 0;
}